Package org.eclipse.net4j.util.om.trace

## Interface OMTraceHandlerEvent

- All Known Implementing Classes:
    `TraceHandlerEvent`

      public interface OMTraceHandlerEvent

  Encapsulates the information of a trace event.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getContext()` |
    `java.lang.String` | `getMessage()` |
    `java.lang.Throwable` | `getThrowable()` |
    `long` | `getTimeStamp()` |
    `OMTracer` | `getTracer()` |

- - ### Method Detail

    - #### getTimeStamp

          long getTimeStamp()

    - #### getTracer

          OMTracer getTracer()

    - #### getContext

          java.lang.Class<?> getContext()

    - #### getMessage

          java.lang.String getMessage()

    - #### getThrowable

          java.lang.Throwable getThrowable()